Gatana logoGatana Docs
RoutesProfilesProfileid

/profiles/{profileId}

Update a profile. Closing a profile that was open to all users also removes it from all personal access tokens

PUT
/profiles/{profileId}
AuthorizationBearer <token>

In: header

Path Parameters

profileId*string

Request Body

application/json

name?string

Display name of the profile

Length1 <= length <= 100
description?string

Human-readable description of the profile

isOpenToAllUsers?boolean

Whether all users in the tenant can use the profile without an explicit assignment

isRestrictive?boolean

Whether the profile restricts its users to only the servers in the profile; applies even to tenant owners

isCodeModeForced?boolean

Whether MCP sessions that use the profile are forced into code mode

serverIds?array<>

IDs of the servers included in the profile

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/profiles/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true
}